Package: org.codehaus.groovy.tools.shell

## [Groovy] Class ComplexCommandSupport

- org.codehaus.groovy.tools.shell.ComplexCommandSupport

- Support for more complex commands.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected String` | `defaultFunction` |
    `protected List` | `functions` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `private Object` | `do_all`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ComplexCommandSupport (Groovysh shell, String name, String shortcut, List comFunctions)`
    `protected ComplexCommandSupport (Groovysh shell, String name, String shortcut, List comFunctions, String defaultFunction)`
    `ComplexCommandSupport ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected List` | `createCompleters()`
    `` | `Object` | `execute(List args)`
    `` | `protected Object` | `executeFunction(String fname, List args)`
    `` | `protected Closure` | `loadFunction(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### protected final String defaultFunction

    - #### protected final List functions

  - ### Property Detail

    - #### private Object do_all

  - ### Constructor Detail

    - #### protected ComplexCommandSupport(Groovysh shell, String name, String shortcut, List comFunctions)

    - #### protected ComplexCommandSupport(Groovysh shell, String name, String shortcut, List comFunctions, String defaultFunction)

    - #### ComplexCommandSupport()

  - ### Method Detail

    - #### @OverrideOverride protected List createCompleters()

    - #### @OverrideOverride Object execute(List args)

    - #### protected Object executeFunction(String fname, List args)

    - #### protected Closure loadFunction(String name)